Search Form Instances

Search for forms that match the provided search terms.

Keywords are searched for in the title, instance identifier, site identifier, site name, site address, company name, submitted user first and last name, draft name, device name, and device type fields.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string | null

Keywords should be space separated and are ANDed together, so all keywords must be present but they can be present in any of the fields specified above.

integer | null
Defaults to 0

Number of records to skip before returning records

integer | null
Defaults to 50

Number of records to return

string
enum
Defaults to desc

Direction to sort the sort_column - ascending or descending

Allowed:
date-time | null

If sorting on updated_at or created_at, and date_cut_off is provided, return only records that were created or updated (whichever is being sorted on) between date_start and date_cut_off

date-time | null

If sorting on updated_at or created_at, return only records that were created or updated (whichever is being sorted on) between the initial value (determined by sort order) and the cutoff date.

For example, sorting on created_at ascending with a date_cut_off will return all records from the oldest creation date to the cutoff date. By comparison, sorting on created_at descending with a date_cut_off will return all records from the most recent creation date to the cutoff date.

string
enum
Defaults to updated_at

Column to sort the results on

Allowed:
string
enum
Defaults to own

The mode of the search query, it's mutually exclusive, either search for forms submitted by the current company, or search for form that are shared with this company via site submissions where this company is parent company.

Allowed:
string | null

An optional filter to match by external project ID. This is an exact match.

string | null

An optional filter to match by external company ID. This is an exact match, additionally, this filter can only be applied when the search mode is for shared form instances; otherwise this parameter is ignored.

boolean | null

If set to true this flag will filter form instances that belong to projects that have a linked external_id attached to the project. This is useful mainly for integration scenarios.

integer | null

This is the project ID of a SALUS project, in other parts of the system this is also referred to as the site ID.

form_instance_status
array of objects | null

The statuses of the form instances to filter. Repeat the parameter to match any of several statuses, e.g. ?form_instance_status=completed&form_instance_status=disapproved.

Form Instance Status
Allowed:
integer | null

The identifier value for a form template to filter by.

integer | null

The numeric identifier related to the form type.

integer | null

Filter by the user identifier of the user that has submitted the form.

integer | null

Filter by the user identifier of the user that created the form instance.

integer | null

Filter by the user identifier of a user that has signed the form.

boolean | null

Filter forms instances that have the flag set to restrict access to full access roles.

boolean | null

Ensures that forms that have not been archived are returned by default, but allows toggling the filter..

boolean | null

Filter by whether the form instance has associated corrective action feed posts. If true, only return form instances with at least one feed post where action_required is true. If false, only return form instances with no such feed posts.

integer | null

Filter by incident ID. Returns form instances linked to this incident via the IncidentForm relationship.

boolean | null

Filter by whether the submission is exposed via a public access link (e.g. shared submission review, signature, collaboration, or full-access URLs). If true, only return submissions referenced by an active PublicAccess record for the current company. If false, only return submissions with no public access link.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json